> ## Documentation Index
> Fetch the complete documentation index at: https://docs.carviz.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Users



## OpenAPI

````yaml get /public/users/
openapi: 3.1.0
info:
  title: Carviz API
  version: 1.0.0
servers:
  - url: https://api.carviz.com/prod
security: []
paths:
  /public/users/:
    get:
      tags:
        - public
      summary: List Users
      operationId: list_users_public_users__get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            default: 100
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Offset
        - name: name__ilike
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Name  Ilike
        - name: created_at__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At  Gte
        - name: created_at__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At  Lte
        - name: organization_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Organization Id
        - name: entity_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Entity Id
        - name: dealership_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Dealership Id
        - name: role
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Role
        - name: order_by
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Order By
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_ProfilesRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Page_ProfilesRead_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ProfilesRead'
          type: array
          title: Items
        limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Limit
        offset:
          anyOf:
            - type: integer
            - type: 'null'
          title: Offset
        total:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total
      type: object
      required:
        - items
      title: Page[ProfilesRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProfilesRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
        is_active:
          type: boolean
          title: Is Active
        created_at:
          type: string
          format: date-time
          title: Created At
        organization_id:
          type: string
          format: uuid
          title: Organization Id
        entity_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Entity Id
        role:
          anyOf:
            - type: string
            - type: 'null'
          title: Role
        photo:
          anyOf:
            - type: string
            - type: 'null'
          title: Photo
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
        position:
          anyOf:
            - type: string
            - type: 'null'
          title: Position
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        last_activity:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Activity
      type: object
      required:
        - id
        - name
        - is_active
        - created_at
        - organization_id
      title: ProfilesRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````